Skip to content

Refunds an ACH transaction

Request

POST {{baseURL}}/pay-api/v1/transactions/ach/{{transactionId}}/refund

This endpoint refunds an ACH (automated clearing house) transaction payment that has already been settled.

It sends money back to the original payer after the ACH payment has completed.

Security
Bearer
Path
transactionIdstring, (uuid)required

Specifies the ACH (automated clearing house) transaction identifier.

This value is returned as transactionId from either of the following endpoints:

Example:004db5a8-a153-4334-a0b4-1aa22fbffb3e
POST /pay-api/v1/transactions/ach/b3edb5a8-e235-4ef7-9003-2343b43c5c41/refund HTTP/1.1
Host: sandbox.api.flute.com
Authorization: Bearer <YOUR_JWT_HERE>
Accept: application/json

Responses

OK

Bodyapplication/json
transactionIdstring, (uuid)

Indicates the transaction identifier.

Example: bf5a1dc7-57b7-4fec-ab09-52c47c1acaff

Example:"bf5a1dc7-57b7-4fec-ab09-52c47c1acaff"
typeIdinteger, (int32)
Example:6
typestring or null

Example: CardAuthentication

Example:"CardAuthentication"
statusIdinteger, (int32)

Indicates the Flute ACH transaction status code.

Example: 1

Example:1
statusstring or null

Indicates the Flute ACH transaction status type.

Example: Authorized

Example:"Authorized"
responseDescriptionstring or null

Indicates a free-formed description regarding the transaction.

Example: Command Successful. Approved.

Example:"Command Successful. Approved."
responseCodestring or null

Indicates a response code regarding the transaction.

Example: 000

Example:"000"
processedAmountnumber, (double), decimal places <= 2

Indicates the transaction amount (in USD).

Example: 3500.00 (for $3500.00)

Example:3500
Response

The processed debit is refunded to the customer.

type is AchRefund.

{ "transactionId": "b4453ccb-be79-4a7c-b50d-96c52c1bfadf", "typeId": 12, "type": "AchRefund", "statusId": 23, "status": "ChargedBack", "responseDescription": "Command Successful. Approved.", "responseCode": "000", "processedAmount": 129.99 }